Debian Bug report logs - #469648
hal-info: quirk info for Asus Eee PC

version graph

Package: hal-info; Maintainer for hal-info is Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>; Source for hal-info is src:hal-info.

Reported by: Sam Morris <sam@robots.org.uk>

Date: Thu, 6 Mar 2008 11:18:01 UTC

Severity: normal

Tags: fixed-upstream

Found in version hal-info/20071212-2

Fixed in version hal-info/20080317+git20080318-1

Done: Sjoerd Simons <sjoerd@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>:
Bug#469648; Package hal-info. Full text and rfc822 format available.

Acknowledgement sent to Sam Morris <sam@robots.org.uk>:
New Bug report received and forwarded. Copy sent to Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Sam Morris <sam@robots.org.uk>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: hal-info: quirk info for Asus Eee PC
Date: Thu, 06 Mar 2008 11:13:30 +0000
Package: hal-info
Version: 20071212-2
Severity: normal

The following quirks make suspend-to-ram work on the Asus Eee PC:
        
        diff --git a/fdi/information/10freedesktop/20-video-quirk-pm-asus.fdi b/fdi/information/10freedesktop/20-video-quirk-pm-asus.fdi
        index 4d0f2de..c51bacf 100644
        --- a/fdi/information/10freedesktop/20-video-quirk-pm-asus.fdi
        +++ b/fdi/information/10freedesktop/20-video-quirk-pm-asus.fdi
        @@ -23,6 +23,10 @@
                 <merge key="power_management.quirk.vbe_post" type="bool">true</merge>
                 <merge key="power_management.quirk.vbemode_restore" type="bool">true</merge>
               </match>
        +      <match key="system.hardware.product" prefix="701">
        +        <merge key="power_management.quirk.s3_bios" type="bool">true</merge>
        +       <merge key="power_management.quirk.dpms_on" type="bool">true</merge>
        +      </match>
               <!-- these need no quirks, whitelist them -->
               <match key="system.hardware.product" prefix_outof="A2H/L ;A6Km ;A6T">
                 <merge key="power_management.quirk.none" type="bool">true</merge>
        
I have not tried hibernation as I don't want to devote 1/4 of the disk
over to swap. :)

Please note, system.hardware.product actually has the exact value '701',
but I used prefix because I don't know how to do an exact match.

I have also sent this patch upstream, but it hasn't got through the
hal@freedesktop.org moderation yet.

-- System Information:
Debian Release: lenny/sid
  APT prefers testing
  APT policy: (520, 'testing'), (510, 'unstable'), (1, 'experimental')
Architecture: i386 (i686)

Kernel: Linux 2.6.24-1-686 (SMP w/1 CPU core)
Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

-- no debconf information




Tags added: pending, fixed-upstream Request was from Sjoerd Simons <sjoerd@debian.org> to control@bugs.debian.org. (Sun, 09 Mar 2008 11:00:05 GMT) Full text and rfc822 format available.

Reply sent to Sjoerd Simons <sjoerd@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Sam Morris <sam@robots.org.uk>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #12 received at 469648-close@bugs.debian.org (full text, mbox):

From: Sjoerd Simons <sjoerd@debian.org>
To: 469648-close@bugs.debian.org
Subject: Bug#469648: fixed in hal-info 20080317+git20080318-1
Date: Tue, 18 Mar 2008 14:32:02 +0000
Source: hal-info
Source-Version: 20080317+git20080318-1

We believe that the bug you reported is fixed in the latest version of
hal-info, which is due to be installed in the Debian FTP archive:

hal-info_20080317+git20080318-1.diff.gz
  to pool/main/h/hal-info/hal-info_20080317+git20080318-1.diff.gz
hal-info_20080317+git20080318-1.dsc
  to pool/main/h/hal-info/hal-info_20080317+git20080318-1.dsc
hal-info_20080317+git20080318-1_all.deb
  to pool/main/h/hal-info/hal-info_20080317+git20080318-1_all.deb
hal-info_20080317+git20080318.orig.tar.gz
  to pool/main/h/hal-info/hal-info_20080317+git20080318.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 469648@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Sjoerd Simons <sjoerd@debian.org> (supplier of updated hal-info package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Tue, 18 Mar 2008 15:10:45 +0100
Source: hal-info
Binary: hal-info
Architecture: source all
Version: 20080317+git20080318-1
Distribution: unstable
Urgency: low
Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
Changed-By: Sjoerd Simons <sjoerd@debian.org>
Description: 
 hal-info   - Hardware Abstraction Layer - fdi files
Closes: 469648 470674
Changes: 
 hal-info (20080317+git20080318-1) unstable; urgency=low
 .
   [ Michael Biebl ]
   * New upstream release.
 .
   [ Sjoerd Simons ]
   * Has suspend quirk for Asus Eee PC (Closes: #469648)
   * Has suspend quirks for Lenevo T61 8897 (Closes: #470674)
Files: 
 e0bc09b28603e378ffb6ec1464759260 933 admin optional hal-info_20080317+git20080318-1.dsc
 205eb98f715c0104effd3824b31d5e09 185980 admin optional hal-info_20080317+git20080318.orig.tar.gz
 10c3d578d9026be97d85cb834ddbaef7 6693 admin optional hal-info_20080317+git20080318-1.diff.gz
 fc91c39ad63e7c2b85311d4167b0ad69 99930 admin optional hal-info_20080317+git20080318-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFH383GgTd+SodosdIRAuSNAJ9fHIOkjIbNgkGgYSibahZadlFapwCeLzrL
2sFfipTDQ32nHS/Q2PxjBXc=
=Z5aG
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 27 Apr 2008 07:34:41 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 00:30:00 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.